## ros-kinetic-object-recognition-capture 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(object_recognition_capture)

find_package(catkin)

find_package(catkin REQUIRED ecto object_recognition_core)
catkin_package()

add_definitions("-Wall -Werror -Wl,--no-undefined ")

find_package(Boost REQUIRED)
find_package(OpenCV REQUIRED)

include_directories(${catkin_INCLUDE_DIRS} include)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS}
                           ${OpenCV_INCLUDE_DIRS}
)

catkin_python_setup()

add_subdirectory(python)
add_subdirectory(cells)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

# install the applications
catkin_install_python(PROGRAMS ${PROJECT_SOURCE_DIR}/apps/capture
                 ${PROJECT_SOURCE_DIR}/apps/orb_template
                 ${PROJECT_SOURCE_DIR}/apps/orb_track
                 ${PROJECT_SOURCE_DIR}/apps/upload
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
 
install(DIRECTORY apps/capture_board apps/bagscripts
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS
)

ecto_sphinx(${CMAKE_CURRENT_SOURCE_DIR}/doc/source)

=== cells/CMakeLists.txt ===
#deal with the capture cells
ectomodule(capture DESTINATION ${PROJECT_NAME}/ecto_cells
                   INSTALL
                   DeltaRT.cpp
                   FeatureFinder.cpp
                   MaskDisplay.cpp
                   module.cpp
                   PlaneFilter.cpp
)

link_ecto(capture
          ${object_recognition_core_LIBRARIES}
          ${OpenCV_LIBRARIES}
)

=== test/CMakeLists.txt ===
object_recognition_core_help_test(${CMAKE_CURRENT_SOURCE_DIR}/../apps/capture)
object_recognition_core_help_test(${CMAKE_CURRENT_SOURCE_DIR}/../apps/orb_template)
object_recognition_core_help_test(${CMAKE_CURRENT_SOURCE_DIR}/../apps/orb_track)
object_recognition_core_help_test(${CMAKE_CURRENT_SOURCE_DIR}/../apps/upload)

=== debian/changelog ===
ros-kinetic-object-recognition-capture (0.3.2-0xenial) xenial; urgency=high

  * compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Apr 2016 22:00:00 -0000

ros-kinetic-object-recognition-capture (0.3.1-0xenial) xenial; urgency=high

  * Use "mono8" for mask and swap brg to rgb
  * Fix encoding when saving bag file
  * use catkin macro to install Python scripts
  * cleanup tests
  * clean build dependencies
  * Contributors: JimmyDaSilva, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Mar 2016 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.3.0-0xenial) xenial; urgency=high

  * make sure doc works with the latest ecto
  * no need for stack.xml
  * drop Fuerte support
  * update website
  * Added argument -p for preview.
    This is frequently used argument so it's good to have a short form.
  * Corrected errors in parsing arguments --input and --matches.
  * Contributors: Denis Štogl, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.22-0xenial) xenial; urgency=high

  * switch to a C++ implementation of FeatureFinder, comply to K_image/K_depth
  * use the proper K_image/K_depth
  * make sur ewe use the right K
  * add a visualization for the mask
  * remove useless line
  * Merge branch 'master' of github.com:wg-perception/capture
  * update the docs for clarity
  * update email
  * add an error message
  * fixes #8 <https://github.com/wg-perception/capture/issues/8>
    The docs were indeed out of date :) Thx !
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 28 May 2013 22:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.21-0xenial) xenial; urgency=high

  * update docs
  * update docs acoording to #6 <https://github.com/wg-perception/capture/issues/6>
  * no ouput when no plane is found
  * fix coordinates
  * fix potential out of bound
  * deal with the case where T is given with NaN's
  * improve docs a bit
  * add ecto_ros dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Mar 2013 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.20-0xenial) xenial; urgency=high

  * update the mask definition in the doc
  * cleanup
  * fix a bad parameter input
  * add a pdf version of the pattern
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 27 Feb 2013 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.19-0xenial) xenial; urgency=high

  * remove warning from #4 <https://github.com/wg-perception/capture/issues/4>
  * comply to the tighter BlackBox API
  * useless folder
  * fix more config
  * add reference to ork_capture
  * make documentation build on its own
  * fix the tests after the file change
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Feb 2013 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.18-0xenial) xenial; urgency=high

  * rename the scripts to not have .py
  * improve docs
  * share code for pose filtering and drawing
  * make the pose stick to the plane even more
  * K is not needed
  * use the new plane clusterer
  * cleanups
  * track planes for robustness
  * clean the capture and make it scale independent by tracking planes
  * use the option group
  * Merge pull request #3 <https://github.com/wg-perception/capture/issues/3> from mikeferguson/master
    Update docs to reflect package being renamed to object_recognition_capture. Fix some broken scripts.
  * fix other scripts broken by taking 3d clouds out of openni source
  * fix typo from blackboxing
  * package is now named capture, update docs
  * allow camera parameter changes from the command line
  * CMake cleanups
  * Contributors: Michael Ferguson, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 05 Feb 2013 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.17-0xenial) xenial; urgency=high

  * use the proper catkin variable
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Jan 2013 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.16-0xenial) xenial; urgency=high

  * port more to the new BlackBox
  * comply to the new BlackBox API
  * remove the old scheduler options
  * remove a warning
  * fix the catkin buildtool_depend
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Jan 2013 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.15-0xenial) xenial; urgency=high

  * make the setup.py work under Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 17 Nov 2012 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.14-0xenial) xenial; urgency=high

  * use catkin_pkg
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 02 Nov 2012 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.13-0xenial) xenial; urgency=high

  * remove the copyright tag
  * use the new ecto_catkin interface
  * get the information from the package.xml
  * comply to the new API
  * also install the manifest.xml
  * remove electric support
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Oct 2012 23:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.12-0xenial) xenial; urgency=high

  * remove the old load_manifest
  * move the odometry to an ecto_opencv sample
  * comply to the new API
  * comply to the new catkin API
  * no need for roscompat anymore
  * fix the Groovy install
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 09 Oct 2012 22:00:00 -0000

ros-kinetic-object-recognition-capture (0.2.11-0xenial) xenial; urgency=high

  * have code work with Electric/Fuerte/Groovy
  * use the new ectomodule API
  * remove redundant maintainer
  * changed doc index heading


=== debian/control ===
Source: ros-kinetic-object-recognition-capture
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-ecto, ros-kinetic-object-recognition-core
Homepage: http://wg-perception.github.io/capture
Standards-Version: 3.9.2

Package: ros-kinetic-object-recognition-capture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-ecto, ros-kinetic-ecto-image-pipeline, ros-kinetic-ecto-opencv, ros-kinetic-ecto-openni, ros-kinetic-ecto-ros, ros-kinetic-object-recognition-core
Description: Capture is a set of tools to capture objects in 3D and perform odometry

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-object-recognition-capture//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
